darcs

Issue 1452 pull => renameFile: permission denied (2.2.1)

Title pull => renameFile: permission denied (2.2.1)
Priority bug Status waiting-for
Milestone Resolved in
Superseder grief from lack of posix-style deletion semantics on Windows
View: 1675
Nosy List darcs-devel, dmitry.kurochkin, eivuokko, jaredj, kirby, kowey, mornfall, simonmar, simonpj, thorkilnaur, wglozer
Assigned To
Topics Windows

Created on 2009-04-29.15:37:30 by simonpj, last changed 2009-11-05.15:26:06 by simonpj.

Files
File name Uploaded Type Edit Remove
unnamed simonpj, 2009-04-29.15:37:28 text/html
unnamed simonpj, 2009-09-17.15:10:53 text/html
Messages
msg7759 (view) Author: simonpj Date: 2009-04-29.15:37:28
I'm getting this (again?) with darcs 2.0.2:

darcs failed:  ./gmp/gmp-4.2.1-nodoc.tar.gz-0: renameFile: permission denied (Permission denied)
Your repository is now in an inconsistent state.
This must be fixed by running darcs repair.

Note the "inconsistent state" which always makes me worry like crazy.

This is when pulling a raft of patches into a snapshot of the GHC repo, taken July 2008 (nine months ago).

I'm trying with the current dracs 2.2.1.

Simon
Attachments
msg7760 (view) Author: kowey Date: 2009-04-29.15:50:06
Hi Simon,

We'll monitor the situation.  For now, trying with the current darcs 2.2.1 does
indeed seem like a good idea, so we shall wait until we hear more.

I'm assuming this is a Windows-related issue, as every renameFile issue I've
seen has been Windows related.  I've also added our Windows Czar, Salvatore to
the bug in case he has any comments.  See also http://bugs.darcs.net/issue553

Thanks!
msg7764 (view) Author: kirby Date: 2009-04-29.16:25:48
On Wed, Apr 29, 2009 at 5:50 PM, Eric Kow <bugs@darcs.net> wrote:
>
> Eric Kow <kowey@darcs.net> added the comment:
>
> Hi Simon,
>
> We'll monitor the situation.  For now, trying with the current darcs 2.2.1 does
> indeed seem like a good idea, so we shall wait until we hear more.

We fixed the main cause of "renameFile: permission denied" issue on
Windows in darcs 2.1.something, so it's not surprising that the bug is
still there in 2.0.
msg7765 (view) Author: simonpj Date: 2009-04-29.16:30:19
It's still there in 2.2.1 which is the latest version you have released.  Can you send me a binary distribution of the HEAD and I'll try that?

| -----Original Message-----
| From: Salvatore Insalaco [mailto:kirby81@gmail.com]
| Sent: 29 April 2009 17:25
| To: Darcs bug tracker
| Cc: dmitry.kurochkin@gmail.com; ei@vuokko.info; jjenning@fastmail.fm;
| kowey@darcs.net; naur@post11.tele.dk; simon@joyful.com; Simon Peyton-Jones;
| will@glozer.net
| Subject: Re: [issue1452] pull => renameFile: permission denied (2.0.2)
|
| On Wed, Apr 29, 2009 at 5:50 PM, Eric Kow <bugs@darcs.net> wrote:
| >
| > Eric Kow <kowey@darcs.net> added the comment:
| >
| > Hi Simon,
| >
| > We'll monitor the situation.  For now, trying with the current darcs 2.2.1 does
| > indeed seem like a good idea, so we shall wait until we hear more.
|
| We fixed the main cause of "renameFile: permission denied" issue on
| Windows in darcs 2.1.something, so it's not surprising that the bug is
| still there in 2.0.
msg7769 (view) Author: kirby Date: 2009-04-29.17:18:23
On Wed, Apr 29, 2009 at 6:29 PM, Simon Peyton-Jones
<simonpj@microsoft.com> wrote:
> It's still there in 2.2.1 which is the latest version you have released.  Can you send me a binary distribution of the HEAD and I'll try that?

After further investigation it seems to be a different bug from the
usual "removeFile: permission denied" that we have fixed; I'll try to
take a look on it this week-end.

A good news is that, if it follows the usual pattern of the other
"removeFile: permission denied" bugs, it's pretty easy to find once
reproduced (it's a file handle leak).
msg7772 (view) Author: kowey Date: 2009-04-29.17:52:55
Just moving a message from Simon on issue1454 here:

> Ok I'm hosed.  Darcs2.2.1 does just the same thing (below)
>
> Simple to reproduce
>
> *         get ghc-HEAD-2008-07-17-ghc-corelibs-testsuite.tar  (used to be easy
to find but dunno where now: I suppose I can put it up, if I knew how)
>
> *         darcs pull -av
>
> That's it!  So now I cannot get the sources of GHC onto my laptop.
>
> Frustrating.   I suppose I will try with a more recent snapshot.
>
> Simon
>
> Tue Apr 28 09:53:45 GMT Daylight Time 2009  Simon Marlow <marlowsd@gmail.com>
>   *
> darcs failed:  ./gmp/gmp-4.2.1-nodoc.tar.gz: removeFile: permission denied
(Permission denied)
> Your repository is now in an inconsistent state.
> This must be fixed by running darcs repair.
>
> improve the finalizer callback error message
> Tue Apr 28 13:45:05 GMT Daylight Time 2009  Simon Marlow <marlowsd@gmail.com>
>   * move runstdtest into nofib
> Tue Apr 28 13:55:28 GMT Daylight Time 2009  Simon Marlow <marlowsd@gmail.com>
>   * add missing eventlog subdir
> Tue Apr 28 13:55:51 GMT Daylight Time 2009  Simon Marlow <marlowsd@gmail.com>
>   * move nofib settings here from ghc's config.mk
> sh-2.04$
msg7774 (view) Author: kowey Date: 2009-04-30.03:30:32
While Salvatore hunts down the file handle leak, a workaround would be to
download this tarball and pull from there:
http://darcs.haskell.org/ghc-STABLE-2009-02-20-ghc-corelibs-testsuite.tar.gz

It works for me under Windows with darcs 2.2.1
msg7776 (view) Author: kirby Date: 2009-04-30.06:44:07
On Wed, Apr 29, 2009 at 7:52 PM, Eric Kow <bugs@darcs.net> wrote:
>> *         get ghc-HEAD-2008-07-17-ghc-corelibs-testsuite.tar  (used to be easy
> to find but dunno where now: I suppose I can put it up, if I knew how)

Unfortunately it isn't on darcs.haskell.org anymore (at least it seems so).
It'd be wonderful if you could sent it to me with one of the "large
mail attachment" sites, if you don't have a place to put it.
msg7778 (view) Author: simonpj Date: 2009-04-30.08:49:49
well that's STABLE.  I'll try a HEAD tarball

| -----Original Message-----
| From: Eric Kow [mailto:bugs@darcs.net]
| Sent: 30 April 2009 04:31
| To: dmitry.kurochkin@gmail.com; ei@vuokko.info; jjenning@fastmail.fm;
| kirby81@gmail.com; kowey@darcs.net; naur@post11.tele.dk; simon@joyful.com; Simon
| Peyton-Jones; will@glozer.net
| Subject: [issue1452] pull => renameFile: permission denied (2.2.1)
|
|
| Eric Kow <kowey@darcs.net> added the comment:
|
| While Salvatore hunts down the file handle leak, a workaround would be to
| download this tarball and pull from there:
| http://darcs.haskell.org/ghc-STABLE-2009-02-20-ghc-corelibs-testsuite.tar.gz
|
| It works for me under Windows with darcs 2.2.1
|
| __________________________________
| Darcs bug tracker <bugs@darcs.net>
| <http://bugs.darcs.net/issue1452>
| __________________________________
msg7810 (view) Author: kirby Date: 2009-05-14.07:19:09
I tried to reproduce it with the HEAD tarball 
(http://www.haskell.org/~simonmar/ghc-HEAD-2008-07-17-ghc-corelibs-
testsuite.tar.bz2), but unfortunately it works for me with 2.2.1 on Windows.
I'll try to do some more tests to understand what happened to Simon.

Simon, on your machine this issue is always reproducible?
msg7812 (view) Author: kowey Date: 2009-05-15.15:44:52
On Thu, May 14, 2009 at 07:19:12 -0000, Salvatore Insalaco wrote:
> I tried to reproduce it with the HEAD tarball 
> (http://www.haskell.org/~simonmar/ghc-HEAD-2008-07-17-ghc-corelibs-
> testsuite.tar.bz2), but unfortunately it works for me with 2.2.1 on Windows.
> I'll try to do some more tests to understand what happened to Simon.

Could you reproduce this with any of the other tarballs, for example,
the STABLE one which I (erroneously) tried?
msg7814 (view) Author: simonpj Date: 2009-05-15.16:47:26
Yes, it was reproducible on my machine, consistently.

I'm not sure how worth following up it is.

Simon

| -----Original Message-----
| From: Salvatore Insalaco [mailto:bugs@darcs.net]
| Sent: 14 May 2009 08:19
| To: dmitry.kurochkin@gmail.com; ei@vuokko.info; jjenning@fastmail.fm;
| kirby81@gmail.com; kowey@darcs.net; naur@post11.tele.dk; simon@joyful.com; Simon
| Peyton-Jones; will@glozer.net
| Subject: [issue1452] pull => renameFile: permission denied (2.2.1)
|
|
| Salvatore Insalaco <kirby81@gmail.com> added the comment:
|
| I tried to reproduce it with the HEAD tarball
| (http://www.haskell.org/~simonmar/ghc-HEAD-2008-07-17-ghc-corelibs-
| testsuite.tar.bz2), but unfortunately it works for me with 2.2.1 on Windows.
| I'll try to do some more tests to understand what happened to Simon.
|
| Simon, on your machine this issue is always reproducible?
|
| __________________________________
| Darcs bug tracker <bugs@darcs.net>
| <http://bugs.darcs.net/issue1452>
| __________________________________
msg7821 (view) Author: kowey Date: 2009-05-16.09:57:15
On Fri, May 15, 2009 at 17:46:40 +0100, Simon Peyton-Jones wrote:
> Yes, it was reproducible on my machine, consistently.
> 
> I'm not sure how worth following up it is.

As far as we're concerned, killing these sort of mystery errors is
definitely worth our while.

Can you confirm that this specific tarball lets you reproduce the error?
http://www.haskell.org/~simonmar/ghc-HEAD-2008-07-17-ghc-corelibs-testsuite.tar.bz2

Thanks!
msg7822 (view) Author: eivuokko Date: 2009-05-16.10:54:05
Eric Kow wrote:
> Eric Kow <kowey@darcs.net> added the comment:
> 
> On Fri, May 15, 2009 at 17:46:40 +0100, Simon Peyton-Jones wrote:
>> Yes, it was reproducible on my machine, consistently.
>>
>> I'm not sure how worth following up it is.
> 
> As far as we're concerned, killing these sort of mystery errors is
> definitely worth our while.

I've not been active for a while, and I still probably don't have time 
or energy to actually contribute code, but my opinion is that it is very 
much worthwhile follow up these and hope we can clean the possible 
inaccuracies in haskell runtimes/libraries regarding how to use Windows 
filesystem.  Maybe finding right idioms/patterns/methods to handle and 
spot the problems before they become nuisances.

My 2c.

Best regards,
Esa
msg8742 (view) Author: kowey Date: 2009-09-07.15:23:04
Hi Simon (PJ),

Is there any chance I could get you to try reproducing your error?  I think you
said that it was a matter of getting
ghc-HEAD-2008-07-17-ghc-corelibs-testsuite.tar and running darcs pull -av

I believe the file can be downloaded here:
http://www.haskell.org/~simonmar/ghc-HEAD-2008-07-17-ghc-corelibs-testsuite.tar.bz2

Thanks! [PS: Salvatore: no luck?]
msg8780 (view) Author: simonpj Date: 2009-09-10.07:56:57
Eric

I'm sorry I've been playing dead on this.  These 100M files take a while to move around and I'm under multiple deadlines, so I keep thinking "maybe tomorrow"...

I'm off for 2 weeks holiday tomorrow.  So I won't do this until early Oct.  

Please ping me mid-Oct if you have heard nothing.  

Simon

| -----Original Message-----
| From: Eric Kow [mailto:bugs@darcs.net]
| Sent: 07 September 2009 16:23
| To: darcs-devel@darcs.net; dmitry.kurochkin@gmail.com; ei@vuokko.info;
| jjenning@fastmail.fm; kirby81@gmail.com; kowey@darcs.net; marlowsd@gmail.com;
| naur@post11.tele.dk; Simon Peyton-Jones; will@glozer.net
| Subject: [issue1452] pull => renameFile: permission denied (2.2.1) {retire 2010-09-
| 01}
| 
| 
| Eric Kow <kowey@darcs.net> added the comment:
| 
| Hi Simon (PJ),
| 
| Is there any chance I could get you to try reproducing your error?  I think you
| said that it was a matter of getting
| ghc-HEAD-2008-07-17-ghc-corelibs-testsuite.tar and running darcs pull -av
| 
| I believe the file can be downloaded here:
| http://www.haskell.org/~simonmar/ghc-HEAD-2008-07-17-ghc-corelibs-testsuite.tar.bz2
| 
| Thanks! [PS: Salvatore: no luck?]
| 
| ----------
| assignedto: kirby -> simonpj
| nosy: +simonmar
| title: pull => renameFile: permission denied (2.2.1) -> pull => renameFile:
| permission denied (2.2.1) {retire 2010-09-01}
| 
| __________________________________
| Darcs bug tracker <bugs@darcs.net>
| <http://bugs.darcs.net/issue1452>
| __________________________________
msg8837 (view) Author: kirby Date: 2009-09-17.15:09:03
On Mon, Sep 7, 2009 at 5:23 PM, Eric Kow <bugs@darcs.net> wrote:
> Is there any chance I could get you to try reproducing your error?  I think you
> said that it was a matter of getting
> ghc-HEAD-2008-07-17-ghc-corelibs-testsuite.tar and running darcs pull -av
>
> Thanks! [PS: Salvatore: no luck?]

I tried once again with that file and darcs 2.3: it works.
msg8838 (view) Author: simonpj Date: 2009-09-17.15:10:53
I'm in Cape Town, building houses with Habitat for Humanity http://www.habitatforhumanity.org.uk/dtbuild.htm

Absolutely no email.  Back Monday 28 Sept.

Simon
Attachments
msg9207 (view) Author: simonpj Date: 2009-11-05.14:14:23
OK Eric, I'm sorry I've been slow about this.  It's been a busy time.

Yes, I can reproduce this bug fine.  I'm using
sh$ darcs --version
2.2.1 (release)

On MSYS.  I downloaded precisely the tarball you give below.  I untarred it successfully. And then tried to darcs pull -a.  The failure log is below.

Let me know if I can do anything else to help.  Renewed apologies for sloth

Simon

sh-3.1$ tar xf newly-downloaded-ghc-HEAD-2008-07-17-ghc-corelibs-testsuite.tar.bz2
sh-3.1$ mv ghc newly-downloaded-ghc-HEAD-2008-07-17-ghc-corelibs-testsuite
sh-3.1$ cd newly-downloaded-ghc-HEAD-2008-07-17-ghc-corelibs-testsuite
sh-3.1$ darcs pull -a
Identifying repository http://darcs.haskell.org/ghc format
Identifying repository http://darcs.haskell.org/ghc inventory
Reading inventory of repository http://darcs.haskell.org/ghc
Reading inventory of repository c:/darcs/newly-downloaded-ghc-HEAD-2008-07-17-gh
Reading inventory of repository http://darcs.haskell.org/ghc
Reading inventory of repository c:/darcs/newly-downloaded-ghc-HEAD-2008-07-17-gh
Reading inventory of repository http://darcs.haskell.org/ghc
Reading inventory of repository http://darcs.haskell.org/ghc
Reading inventory of repository http://darcs.haskell.org/ghc
Reading inventory of repository http://darcs.haskell.org/ghc
Reading tentative inventory

darcs failed:  ./gmp/gmp-4.2.1-nodoc.tar.gz: removeFile: permission denied (Permission denied)
Your repository is now in an inconsistent state.
This must be fixed by running darcs repair.


Pulling from "http://darcs.haskell.org/ghc"...
This is the GHC darcs repository (HEAD branch)

For more information, visit the GHC developer wiki at
  http://hackage.haskell.org/trac/ghc
**********************
sh-3.1$



| -----Original Message-----
| From: Eric Kow [mailto:bugs@darcs.net]
| Sent: 07 September 2009 16:23
| To: darcs-devel@darcs.net; dmitry.kurochkin@gmail.com; ei@vuokko.info;
| jjenning@fastmail.fm; kirby81@gmail.com; kowey@darcs.net; marlowsd@gmail.com;
| naur@post11.tele.dk; Simon Peyton-Jones; will@glozer.net
| Subject: [issue1452] pull => renameFile: permission denied (2.2.1) {retire
| 2010-09-01}
| 
| 
| Eric Kow <kowey@darcs.net> added the comment:
| 
| Hi Simon (PJ),
| 
| Is there any chance I could get you to try reproducing your error?  I think
| you
| said that it was a matter of getting
| ghc-HEAD-2008-07-17-ghc-corelibs-testsuite.tar and running darcs pull -av
| 
| I believe the file can be downloaded here:
| http://www.haskell.org/~simonmar/ghc-HEAD-2008-07-17-ghc-corelibs-
| testsuite.tar.bz2
| 
| Thanks! [PS: Salvatore: no luck?]
| 
| ----------
| assignedto: kirby -> simonpj
| nosy: +simonmar
| title: pull => renameFile: permission denied (2.2.1) -> pull => renameFile:
| permission denied (2.2.1) {retire 2010-09-01}
| 
| __________________________________
| Darcs bug tracker <bugs@darcs.net>
| <http://bugs.darcs.net/issue1452>
| __________________________________
msg9209 (view) Author: kowey Date: 2009-11-05.15:17:44
Thanks, Simon.  I've just chatted with Petr about this on IRC and we've come to
the conclusion that we should stop trying to track down these renameFile or
deleteFile problems that keep creeping up.

Instead of playing the perpetual whack-a-mole game, we'd like to solve the
problem once and for all by working out how to use to POSIX-style deletion
semantics on Windows.  I've created issue1675 on the tracker for this.  I think
we're basically going to have to fix that one first and that come back to this
to make sure it's gone on your end too.  Sorry for all the trouble!
msg9211 (view) Author: simonpj Date: 2009-11-05.15:26:03
ok!  Thank you for looking at it.

S

| -----Original Message-----
| From: Eric Kow [mailto:bugs@darcs.net]
| Sent: 05 November 2009 15:18
| To: darcs-devel@darcs.net; dmitry.kurochkin@gmail.com; ei@vuokko.info;
| jjenning@fastmail.fm; kirby81@gmail.com; kowey@darcs.net; marlowsd@gmail.com;
| me@mornfall.net; naur@post11.tele.dk; Simon Peyton-Jones; will@glozer.net
| Subject: [issue1452] pull => renameFile: permission denied (2.2.1)
| 
| 
| Eric Kow <kowey@darcs.net> added the comment:
| 
| Thanks, Simon.  I've just chatted with Petr about this on IRC and we've come to
| the conclusion that we should stop trying to track down these renameFile or
| deleteFile problems that keep creeping up.
| 
| Instead of playing the perpetual whack-a-mole game, we'd like to solve the
| problem once and for all by working out how to use to POSIX-style deletion
| semantics on Windows.  I've created issue1675 on the tracker for this.  I think
| we're basically going to have to fix that one first and that come back to this
| to make sure it's gone on your end too.  Sorry for all the trouble!
| 
| ----------
| assignedto: simonpj ->
| nosy: +mornfall
| superseder: +grief from not using posix-style deletion semantics on Windows
| title: pull => renameFile: permission denied (2.2.1) {retire 2010-09-01} -> pull =>
| renameFile: permission denied (2.2.1)
| 
| __________________________________
| Darcs bug tracker <bugs@darcs.net>
| <http://bugs.darcs.net/issue1452>
| __________________________________
History
Date User Action Args
2009-04-29 15:37:30simonpjcreate
2009-04-29 15:50:13koweysetstatus: unread -> waiting-for
topic: + Windows
title: darcs renameFile bug -> pull => renameFile: permission denied (2.0.2)
nosy: + wglozer, eivuokko, kirby, jaredj
messages: + msg7760
priority: bug
2009-04-29 16:25:50kirbysetnosy: kowey, wglozer, eivuokko, simonpj, simon, thorkilnaur, jaredj, dmitry.kurochkin, kirby
messages: + msg7764
2009-04-29 16:30:22simonpjsetnosy: kowey, wglozer, eivuokko, simonpj, simon, thorkilnaur, jaredj, dmitry.kurochkin, kirby
messages: + msg7765
2009-04-29 17:18:26kirbysetnosy: kowey, wglozer, eivuokko, simonpj, simon, thorkilnaur, jaredj, dmitry.kurochkin, kirby
messages: + msg7769
2009-04-29 17:52:58koweysetnosy: kowey, wglozer, eivuokko, simonpj, simon, thorkilnaur, jaredj, dmitry.kurochkin, kirby
messages: + msg7772
2009-04-29 17:53:24koweysetnosy: kowey, wglozer, eivuokko, simonpj, simon, thorkilnaur, jaredj, dmitry.kurochkin, kirby
title: pull => renameFile: permission denied (2.0.2) -> pull => renameFile: permission denied (2.2.1)
2009-04-29 17:56:05koweylinkissue1454 superseder
2009-04-30 03:30:36koweysetnosy: kowey, wglozer, eivuokko, simonpj, simon, thorkilnaur, jaredj, dmitry.kurochkin, kirby
messages: + msg7774
2009-04-30 06:44:10kirbysetnosy: kowey, wglozer, eivuokko, simonpj, simon, thorkilnaur, jaredj, dmitry.kurochkin, kirby
messages: + msg7776
title: pull => renameFile: permission denied (2.2.1) -> pull => renameFile: permission denied (2.0.2)
2009-04-30 08:49:51simonpjsetnosy: kowey, wglozer, eivuokko, simonpj, simon, thorkilnaur, jaredj, dmitry.kurochkin, kirby
messages: + msg7778
title: pull => renameFile: permission denied (2.0.2) -> pull => renameFile: permission denied (2.2.1)
2009-05-01 11:20:46kirbysetnosy: kowey, wglozer, eivuokko, simonpj, simon, thorkilnaur, jaredj, dmitry.kurochkin, kirby
assignedto: kirby
2009-05-14 07:19:12kirbysetnosy: kowey, wglozer, eivuokko, simonpj, simon, thorkilnaur, jaredj, dmitry.kurochkin, kirby
messages: + msg7810
2009-05-15 15:44:55koweysetnosy: kowey, wglozer, eivuokko, simonpj, simon, thorkilnaur, jaredj, dmitry.kurochkin, kirby
messages: + msg7812
2009-05-15 16:47:30simonpjsetnosy: kowey, wglozer, eivuokko, simonpj, simon, thorkilnaur, jaredj, dmitry.kurochkin, kirby
messages: + msg7814
2009-05-16 09:57:17koweysetnosy: kowey, wglozer, eivuokko, simonpj, simon, thorkilnaur, jaredj, dmitry.kurochkin, kirby
messages: + msg7821
2009-05-16 10:54:09eivuokkosetnosy: kowey, wglozer, eivuokko, simonpj, simon, thorkilnaur, jaredj, dmitry.kurochkin, kirby
messages: + msg7822
2009-08-25 17:44:46adminsetnosy: + darcs-devel, - simon
2009-08-27 14:20:17adminsetnosy: kowey, wglozer, darcs-devel, eivuokko, simonpj, thorkilnaur, jaredj, dmitry.kurochkin, kirby
2009-09-07 15:23:10koweysetnosy: + simonmar
title: pull => renameFile: permission denied (2.2.1) -> pull => renameFile: permission denied (2.2.1) {retire 2010-09-01}
messages: + msg8742
assignedto: kirby -> simonpj
2009-09-10 07:57:00simonpjsetnosy: kowey, wglozer, darcs-devel, eivuokko, simonmar, simonpj, thorkilnaur, jaredj, dmitry.kurochkin, kirby
messages: + msg8780
2009-09-17 15:09:06kirbysetnosy: kowey, wglozer, darcs-devel, eivuokko, simonmar, simonpj, thorkilnaur, jaredj, dmitry.kurochkin, kirby
messages: + msg8837
2009-09-17 15:10:56simonpjsetfiles: + unnamed
nosy: kowey, wglozer, darcs-devel, eivuokko, simonmar, simonpj, thorkilnaur, jaredj, dmitry.kurochkin, kirby
messages: + msg8838
2009-10-23 22:37:33adminsetnosy: + marlowsd, - simonmar
2009-10-23 23:36:01adminsetnosy: + simonmar, - marlowsd
2009-11-05 14:14:28simonpjsetmessages: + msg9207
2009-11-05 15:17:47koweysetnosy: + mornfall
title: pull => renameFile: permission denied (2.2.1) {retire 2010-09-01} -> pull => renameFile: permission denied (2.2.1)
superseder: + grief from lack of posix-style deletion semantics on Windows
messages: + msg9209
assignedto: simonpj ->
2009-11-05 15:26:06simonpjsetmessages: + msg9211